#include <stdio.h>

#define MAXN 1000000

int N;
int perm[MAXN];

int bigRand(void)
{
	return (((int)rand())<<16)+rand();
}

void initi(void)
{
	int index;
	
	for(index=0; index<N; ++index)
	{
		perm[index]=index+1;
	}
}

void shuffle(void)
{
	int index, x, y, temp;
	
	for(index=0; index<N; ++index)
	{
		do
		{
			x=rand()%N;
			y=rand()%N;
		}while(x==y);
		temp=perm[x];
		perm[x]=perm[y];
		perm[y]=temp;
	}
}

void output(void)
{
	int index;
	
	printf("%d\n", N);
	for(index=0; index<N-1; ++index)
	{
		printf("%d ", perm[index]);
	}
	printf("%d\n", perm[N-1]);
}

int main(int argc, char **argv)
{
	if(argc!=3)
	{
		printf("Enter <N> and <SEED> as parameters!\n");
		//system("pause");
	}
	
	srand(atoi(argv[2]));
	N=atoi(argv[1]);
	
	initi();
	shuffle();
	output();
	
	//system("pause");
	return 0;
}
